Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(38)

Issue 2755753003: Ignore pointer capture target while calculating click target (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by Navid Zolghadr
Modified:
2 months ago
Reviewers:
dtapuska, mustaq, bokan
CC:
chromium-reviews, blink-reviews, blink-reviews-w3ctests_chromium.org, dtapuska+blinkwatch_chromium.org, Navid Zolghadr
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Ignore pointer capture target while calculating click target After https://codereview.chromium.org/2681443003 it turns out we are creating some regressions. So this change keeps the essence of the original change for the purpose of keeping the metric but ignores the target that is calculated from the captured target and use the original click target regardless of the capturing. BUG=701599, 699933 Review-Url: https://codereview.chromium.org/2755753003 Cr-Commit-Position: refs/heads/master@{#458091} Committed: https://chromium.googlesource.com/chromium/src/+/ddb951c0cc2912acd57e4238677b82e6360ac1ad

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -22 lines) Patch
A third_party/WebKit/LayoutTests/external/wpt/pointerevents/pointerevent_click_during_capture-manual-expected.txt View 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/input/MouseEventManager.cpp View 1 chunk +23 lines, -15 lines 0 comments Download
M third_party/WebKit/Source/core/input/PointerEventManager.cpp View 1 chunk +7 lines, -7 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   android_n5x_swarming_rel   ios-device   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   chromium_presubmit   mac_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device-xcode-clang   android_cronet   linux_chromium_tsan_rel_ng   android_compile_dbg   cast_shell_linux   win_chromium_x64_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   chromeos_daisy_chromium_compile_only_ng   ios-simulator-xcode-clang   cast_shell_android   win_clang   android_clang_dbg_recipe   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   ios-simulator   win_chromium_rel_ng   android_arm64_dbg_recipe   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   chromium_presubmit   mac_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   ios-device   linux_chromium_rel_ng   chromium_presubmit   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   ios-simulator-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   cast_shell_android   android_cronet   mac_chromium_compile_dbg_ng   win_clang   android_n5x_swarming_rel   linux_chromium_compile_dbg_ng   android_clang_dbg_recipe   android_arm64_dbg_recipe   chromeos_amd64-generic_chromium_compile_only_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   mac_chromium_rel_ng   android_compile_dbg   linux_chromium_chromeos_rel_ng   linux_android_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   ios-simulator-xcode-clang   win_clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   win_chromium_rel_ng   android_n5x_swarming_rel   win_chromium_x64_rel_ng   android_clang_dbg_recipe   cast_shell_android   chromium_presubmit   ios-simulator   linux_android_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   android_compile_dbg   linux_chromium_compile_dbg_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   android_arm64_dbg_recipe   ios-device   win_chromium_compile_dbg_ng   android_cronet   ios-device-xcode-clang 
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (13 generated)
Navid Zolghadr
2 months, 1 week ago (2017-03-16 16:43:50 UTC) #3
dtapuska
lgtm
2 months, 1 week ago (2017-03-17 18:40:51 UTC) #7
Navid Zolghadr
2 months, 1 week ago (2017-03-17 18:42:45 UTC) #9
bokan
rs lgtm based on Dave's review
2 months, 1 week ago (2017-03-17 19:03:19 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755753003/1
2 months, 1 week ago (2017-03-17 19:12:54 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/386113)
2 months, 1 week ago (2017-03-17 20:33:59 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755753003/1
2 months, 1 week ago (2017-03-17 20:38:20 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/403124)
2 months, 1 week ago (2017-03-17 20:45:49 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755753003/1
2 months ago (2017-03-20 14:19:09 UTC) #20
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/ddb951c0cc2912acd57e4238677b82e6360ac1ad
2 months ago (2017-03-20 16:46:34 UTC) #23
johnme
A revert of this CL (patchset #1 id:1) has been created in https://codereview.chromium.org/2764813004/ by johnme@chromium.org. ...
2 months ago (2017-03-21 12:44:09 UTC) #24
Navid Zolghadr
2 months ago (2017-03-21 17:15:49 UTC) #25
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/2762913003/ by nzolghadr@chromium.org.

The reason for reverting is: Reverting all the changes related to click target
in capturing as they are splitted across multiple commits..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06